--
-- $Id$
--
-- Aanpassingen om DB40e (prod) naar de () DB40f te brengen
-- Merk op dat de recreate er nog bij komt die de DB-version bijwerkt
--
-- MOET OOK ZIJN/WORDEN OPGENOMEN IN DB39TO40f.src !!!

DEFINE thisfile = 'DB40eto40f.sql'
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
COLUMN fcltcusterr NEW_VALUE fcltcusterr NOPRINT;
WHENEVER SQLERROR CONTINUE;
SELECT adm.getscriptspoolfile('&thisfile') AS fcltlogfile FROM DUAL;
SPOOL &fcltlogfile
WHENEVER SQLERROR EXIT;
SELECT adm.checkscriptcust('&dbuser') AS fcltcusterr FROM DUAL;
WHENEVER SQLERROR CONTINUE;
PROMPT &fcltcusterr
SET DEFINE OFF

------ payload begin ------
-- /////////////////////////////////////////////////////////////////////////////////////////// FMHN#67972
ALTER TABLE res_ruimte ADD res_ruimte_minbezoekers
      NUMBER(5)
      DEFAULT 0
      CONSTRAINT res_c_ruimte_minbezoekers CHECK(res_ruimte_minbezoekers IS NOT NULL);

-- /////////////////////////////////////////////////////////////////////////////////////////// FMHN#67970
ALTER TABLE bes_srtdeel ADD bes_srtdeel_maximum
        NUMBER(6);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
